// SampleButtonDlg.h : header file
//

#pragma once
#include "afxwin.h"

// Include ref to the camera SDK
#import "..\Include\_USBCam20SDK.tlb" named_guids

// CSampleButtonDlg dialog
class CSampleButtonDlg : public CDialog
{
// Construction
public:
	CSampleButtonDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_SAMPLEBUTTON_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Camera object
	CComQIPtr<USBCam20SDK::ICamera> m_pCamera;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnTimer(UINT nIDEvent);
	CListBox m_ListBox;
};
